Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 219084 - Collapse all in Projects panel should collapse it's childen nodes/add feature to children nodes
Collapse all in Projects panel should collapse it's childen nodes/add feature...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
7.3
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Martin Kozeny
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 20:01 UTC by serial8
Modified: 2013-10-29 14:41 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description serial8 2012-09-26 20:01:49 UTC
Collapse all in Projects panel should collapse it's childen nodes.
> It actually just collapse the main project's node, which is annoying compared to what Eclipse has. It collapses all children nodes, so that you can go on with. 

Add collapse feature to children nodes too
> This is missing and would be a nice to have.
  example: right click on node > collapse all : collapses all children nodes
Comment 1 Richpc 2013-02-26 13:44:25 UTC
I agree, it's currently not a 'collapse all' function, it's a 'collapse project root' function. 

If it closed all the child nodes it would be much better.
Comment 2 Richpc 2013-02-28 15:39:36 UTC
Since commenting the other day, I've noticed that this function does occasionally collapse all child nodes, rather than just closing the root node.  I haven't been able to find a consistent way to make it close all the child nodes, some times it does sometimes it doesn't (mostly it doesn't).

Running on ubuntu 12.04 64bit, with java-7-openjdk-amd64, netbeans 7.3

Also in relation to this, shortcut keys assigned to 'collapse all (project)' don't do anything at all.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo